Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 228590

Summary: repoquery broken in yum-utils 1.0.2-2
Product: [Fedora] Fedora Reporter: Ville Skyttä <ville.skytta>
Component: yum-utilsAssignee: Seth Vidal <skvidal>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 6CC: goeran, tla
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.0.3-1.fc6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-26 16:03:57 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ville Skyttä 2007-02-13 21:38:35 UTC
yum-utils 1.0.2-2 breaks repoquery:

$ repoquery --repoid=development --provides flac
[...]
  File "/usr/bin/repoquery", line 187, in prco
    rpdict[misc.prco_typle_to_string(rptup)] = None


Fix (already in upstream CVS, it seems):

sudo sed -i -e s/typle/tuple/ /usr/bin/repoquery

Comment 1 Tim Lauridsen 2007-02-14 09:06:47 UTC
As you already have detected, it is fixed in upstream CVS, i will make a new
yum-utils release very soon.


Comment 2 Ville Skyttä 2007-02-14 18:14:23 UTC
Reopening until a fixed version is actually shipped in order to make it easier
for people who run into this bug to find the workaround and thus save some time
figuring out what's wrong.

Comment 3 Tim Lauridsen 2007-02-26 09:20:28 UTC
should be fixed in yum-utils-1.0.3, please confirm.

Comment 4 Ville Skyttä 2007-02-26 16:03:57 UTC
Confirmed, thanks.